mscorlib 2.0.0.0 4.0.0.0 System.Security.AccessControl.GenericSecurityDescriptor To be added.

Represents a security descriptor. A security descriptor includes an owner, a primary group, a Discretionary Access Control List (DACL), and a System Access Control List (SACL).

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class from the specified Security Descriptor Definition Language (SDDL) string.

  The SDDL string from which to create the new object.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class from the specified array of byte values.

  The array of byte values from which to create the new object.
  The offset in the array at which to begin copying.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified values.

  Flags that specify behavior of the new object.
  The owner for the new object.
  The primary group for the new object.
  The System Access Control List (SACL) for the new object.
  The Discretionary Access Control List (DACL) for the new object.
- Property
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.ControlFlags To be added. To be added.

  Gets values that specify behavior of the object.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.RawAcl To be added. To be added.

  Gets or sets the Discretionary Access Control List (DACL) for this object. The DACL contains access rules.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.Principal.SecurityIdentifier To be added. To be added.

  Gets or sets the primary group for this object.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.Principal.SecurityIdentifier To be added. To be added.

  Gets or sets the owner of the object associated with this object.

- Property
  2.0.0.0
  4.0.0.0
  System.Byte To be added.

  The resource manager control bits contain information specific to the resource manager accessing the security descriptor.

  Gets or sets a byte value that represents the resource manager control bits associated with this object.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Sets the property of this object to the specified value.

  One or more values of the enumeration combined with a logical OR operation.
- Property
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.RawAcl To be added. To be added.

  Gets or sets the System Access Control List (SACL) for this object. The SACL contains audit rules.